# -*- encoding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (c) 2016 E-MIPS (http://www.e-mips.com.ar)
#    Copyright (c) 2016 Eynes (http://www.eynes.com.ar)
#    All Rights Reserved. See AUTHORS for details.
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from openerp.osv import orm, fields
from openerp.tools.translate import _
from openerp.tools import DEFAULT_SERVER_DATE_FORMAT
from datetime import datetime, timedelta
import time

class assignee_calendar_report(orm.TransientModel):
    _name = 'assignee.calendar.report'
    _description = 'Assignee Calendar Report'

    _columns = {
        'from_date': fields.date('Date From', required=True),
        'to_date': fields.date('Date To', required=True),
    }

    _defaults = {
        'from_date': lambda *x: time.strftime(DEFAULT_SERVER_DATE_FORMAT),
    }

    def onchange_from_date(self, cr, uid, ids, from_date, to_date):

        res = {'value': {}}
        if to_date:
            return res

        dt = datetime.strptime(from_date, DEFAULT_SERVER_DATE_FORMAT)
        dt += timedelta(days=30)
        res['value']['to_date'] = dt.strftime(DEFAULT_SERVER_DATE_FORMAT)
        return res

    def action_create_report(self, cr, uid, ids, context=None):
        # we update form with display account value

        # will be used to attach the report on the main account
        data = self.read(cr, uid, ids,
                         ['from_date',
                          'to_date'],
                         context=context)[0]

        return {'type': 'ir.actions.report.xml',
                'report_name': 'service.asignee.line.xls',
                'datas': data}

assignee_calendar_report()
